# Welcome to dogehouse.py

dogehouse.py is an easy to use, fully async, [discord.py](https://discordpy.readthedocs.io/) like python wrapper
for [dogehouse.tv](https://dogehouse.tv).

### Features:

* Modern pythonic syntax using `async`/`await` syntax
* Command handling & parsing like `discord.py`
* Easy to use with an object-oriented design

#### Planned features:

* [dogehouse.xyz](https://stats.dogehouse.xyz) telemetry implementation
* Efficient caching system

## Getting started

If it is your first time using the library, these are the spots to get started!

* First steps: [Introduction](intro), [Quickstart](quickstart)
* Working with Dogehouse: [Getting your tokens](quickstart?id=client-credentials)
* Examples: Examples are available in the [repository](https://github.com/Arthurdw/dogehouse.py/tree/main/examples)

## Support

If you are having trouble with something, these resources might help.

* Ask us in the [Dogegarden discord](https://discord.gg/S5yJECfc8d) or in
  the [Xiler discord server](https://dc.xiler.net)
* Report bugs in the [issue tracker](https://github.com/Arthurdw/dogehouse.py/issues)

